summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2013-12-19 10:45:04 +0100
committer Robby Workman2013-12-25 22:05:35 +0100
commit8849bd1d1b8736ba250e08bf9e40743740dbd3ca (patch)
treea8a9a43ff93aa1a261efb4ce42c2f17a317cac9f /desktop
parentf31d085553f5dd8d221631fb24e35118b199e7fe (diff)
downloadslackbuilds-8849bd1d1b8736ba250e08bf9e40743740dbd3ca.tar.gz
desktop/kpartsplugin: Added (KParts plugin for browsers).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/kpartsplugin/README4
-rw-r--r--desktop/kpartsplugin/kpartsplugin.SlackBuild100
-rw-r--r--desktop/kpartsplugin/kpartsplugin.info10
-rw-r--r--desktop/kpartsplugin/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/desktop/kpartsplugin/README b/desktop/kpartsplugin/README
new file mode 100644
index 0000000000..6e96a060ff
--- /dev/null
+++ b/desktop/kpartsplugin/README
@@ -0,0 +1,4 @@
+This software implements a plugin for Netscape-compatible browsers in Unix
+environments. This plugin uses KDE's KParts technology to embed file viewers
+(e.g. for PDF files) into non-KDE browsers. Tested browsers include both
+Mozilla Firefox and Opera, and is know to work with Chrome and Arora.
diff --git a/desktop/kpartsplugin/kpartsplugin.SlackBuild b/desktop/kpartsplugin/kpartsplugin.SlackBuild
new file mode 100644
index 0000000000..857700fa30
--- /dev/null
+++ b/desktop/kpartsplugin/kpartsplugin.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# SlackBuild script for kpartsplugin
+
+# Copyright 2013 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=kpartsplugin
+VERSION=${VERSION:-20120723}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=$LIBDIRSUFFIX \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DNSPLUGIN_INSTALL_DIR=/usr/lib$LIBDIRSUFFIX/mozilla/plugins \
+ ..
+
+ make VERBOSE=1
+ make install VERBOSE=1 DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/kpartsplugin/kpartsplugin.info b/desktop/kpartsplugin/kpartsplugin.info
new file mode 100644
index 0000000000..f1f0d74a97
--- /dev/null
+++ b/desktop/kpartsplugin/kpartsplugin.info
@@ -0,0 +1,10 @@
+PRGNAM="kpartsplugin"
+VERSION="20120723"
+HOMEPAGE="https://www.unix-ag.uni-kl.de/~fischer/kpartsplugin"
+DOWNLOAD="https://www.unix-ag.uni-kl.de/~fischer/kpartsplugin/kpartsplugin-20120723.tar.bz2"
+MD5SUM="cf94ee866a934da97a04cd1619e16099"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/desktop/kpartsplugin/slack-desc b/desktop/kpartsplugin/slack-desc
new file mode 100644
index 0000000000..51b7547a24
--- /dev/null
+++ b/desktop/kpartsplugin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+kpartsplugin: kpartsplugin (KParts plugin for browsers)
+kpartsplugin:
+kpartsplugin: This software implements a plugin for Netscape-compatible browsers in
+kpartsplugin: Unix environments. This plugin uses KDE's KParts technology to embed
+kpartsplugin: file viewers (e.g. for PDF files) into non-KDE browsers. Tested
+kpartsplugin: browsers include both Mozilla Firefox and Opera, and is know to work
+kpartsplugin: with Chrome and Arora.
+kpartsplugin:
+kpartsplugin:
+kpartsplugin:
+kpartsplugin: